Index: src/UIElements/Views/Qt4/ElementList/QtElementList.cpp
===================================================================
--- src/UIElements/Views/Qt4/ElementList/QtElementList.cpp	(revision 0ee9cb3ffdfa575d37ce78be4bfb452a598dac02)
+++ src/UIElements/Views/Qt4/ElementList/QtElementList.cpp	(revision 788dceaed9acbcd89e4092b24f3b9345e53d82e3)
@@ -40,5 +40,5 @@
 #include <iostream>
 
-#include "CodePatterns/MemDebug.hpp"
+//#include "CodePatterns/MemDebug.hpp"
 
 #include "Atom/atom.hpp"
Index: src/UIElements/Views/Qt4/ElementList/QtObservedAtomObserver.cpp
===================================================================
--- src/UIElements/Views/Qt4/ElementList/QtObservedAtomObserver.cpp	(revision 0ee9cb3ffdfa575d37ce78be4bfb452a598dac02)
+++ src/UIElements/Views/Qt4/ElementList/QtObservedAtomObserver.cpp	(revision 788dceaed9acbcd89e4092b24f3b9345e53d82e3)
@@ -37,5 +37,5 @@
 #include "UIElements/Qt4/InstanceBoard/QtObservedInstanceBoard.hpp"
 
-#include "CodePatterns/MemDebug.hpp"
+//#include "CodePatterns/MemDebug.hpp"
 
 QtObservedAtomObserver::QtObservedAtomObserver(
Index: src/UIElements/Views/Qt4/MoleculeList/QtMoleculeItem.cpp
===================================================================
--- src/UIElements/Views/Qt4/MoleculeList/QtMoleculeItem.cpp	(revision 0ee9cb3ffdfa575d37ce78be4bfb452a598dac02)
+++ src/UIElements/Views/Qt4/MoleculeList/QtMoleculeItem.cpp	(revision 788dceaed9acbcd89e4092b24f3b9345e53d82e3)
@@ -37,5 +37,5 @@
 #include "UIElements/Views/Qt4/MoleculeList/QtMoleculeList.hpp"
 
-#include "CodePatterns/MemDebug.hpp"
+//#include "CodePatterns/MemDebug.hpp"
 
 QtMoleculeItem::QtMoleculeItem()
Index: src/UIElements/Views/Qt4/MoleculeList/QtMoleculeItemFactory.cpp
===================================================================
--- src/UIElements/Views/Qt4/MoleculeList/QtMoleculeItemFactory.cpp	(revision 0ee9cb3ffdfa575d37ce78be4bfb452a598dac02)
+++ src/UIElements/Views/Qt4/MoleculeList/QtMoleculeItemFactory.cpp	(revision 788dceaed9acbcd89e4092b24f3b9345e53d82e3)
@@ -42,5 +42,5 @@
 #include "UIElements/Views/Qt4/MoleculeList/SpecificItems/QtMoleculeItem_visibility.hpp"
 
-#include "CodePatterns/MemDebug.hpp"
+//#include "CodePatterns/MemDebug.hpp"
 
 // some attributes need to be easier to find for molecules
Index: src/UIElements/Views/Qt4/MoleculeList/QtMoleculeList.cpp
===================================================================
--- src/UIElements/Views/Qt4/MoleculeList/QtMoleculeList.cpp	(revision 0ee9cb3ffdfa575d37ce78be4bfb452a598dac02)
+++ src/UIElements/Views/Qt4/MoleculeList/QtMoleculeList.cpp	(revision 788dceaed9acbcd89e4092b24f3b9345e53d82e3)
@@ -46,5 +46,5 @@
 #include <iostream>
 
-#include "CodePatterns/MemDebug.hpp"
+//#include "CodePatterns/MemDebug.hpp"
 
 #include "CodePatterns/Log.hpp"
Index: src/UIElements/Views/Qt4/MoleculeList/QtMoleculeListView.cpp
===================================================================
--- src/UIElements/Views/Qt4/MoleculeList/QtMoleculeListView.cpp	(revision 0ee9cb3ffdfa575d37ce78be4bfb452a598dac02)
+++ src/UIElements/Views/Qt4/MoleculeList/QtMoleculeListView.cpp	(revision 788dceaed9acbcd89e4092b24f3b9345e53d82e3)
@@ -40,5 +40,5 @@
 #include "UIElements/Views/Qt4/MoleculeList/QtMoleculeItem.hpp"
 
-#include "CodePatterns/MemDebug.hpp"
+//#include "CodePatterns/MemDebug.hpp"
 
 #include "Actions/SelectionAction/Molecules/MoleculeByIdAction.hpp"
Index: src/UIElements/Views/Qt4/MoleculeList/QtObservedMoleculeObserver.cpp
===================================================================
--- src/UIElements/Views/Qt4/MoleculeList/QtObservedMoleculeObserver.cpp	(revision 0ee9cb3ffdfa575d37ce78be4bfb452a598dac02)
+++ src/UIElements/Views/Qt4/MoleculeList/QtObservedMoleculeObserver.cpp	(revision 788dceaed9acbcd89e4092b24f3b9345e53d82e3)
@@ -37,5 +37,5 @@
 #include "UIElements/Qt4/InstanceBoard/QtObservedInstanceBoard.hpp"
 
-#include "CodePatterns/MemDebug.hpp"
+//#include "CodePatterns/MemDebug.hpp"
 
 QtObservedMoleculeObserver::QtObservedMoleculeObserver(
Index: src/UIElements/Views/Qt4/Plotting/QListWidgetCurveItem.cpp
===================================================================
--- src/UIElements/Views/Qt4/Plotting/QListWidgetCurveItem.cpp	(revision 0ee9cb3ffdfa575d37ce78be4bfb452a598dac02)
+++ src/UIElements/Views/Qt4/Plotting/QListWidgetCurveItem.cpp	(revision 788dceaed9acbcd89e4092b24f3b9345e53d82e3)
@@ -14,5 +14,5 @@
 
 // have this after(!) all Qt includes
-#include "CodePatterns/MemDebug.hpp"
+//#include "CodePatterns/MemDebug.hpp"
 
 
Index: src/UIElements/Views/Qt4/Plotting/QScrollZoomer/ScrollBar.cpp
===================================================================
--- src/UIElements/Views/Qt4/Plotting/QScrollZoomer/ScrollBar.cpp	(revision 0ee9cb3ffdfa575d37ce78be4bfb452a598dac02)
+++ src/UIElements/Views/Qt4/Plotting/QScrollZoomer/ScrollBar.cpp	(revision 788dceaed9acbcd89e4092b24f3b9345e53d82e3)
@@ -19,5 +19,5 @@
 
 // have this after(!) all Qt includes
-#include "CodePatterns/MemDebug.hpp"
+//#include "CodePatterns/MemDebug.hpp"
 
 ScrollBar::ScrollBar(QWidget * parent):
Index: src/UIElements/Views/Qt4/Plotting/QScrollZoomer/ScrollZoomer.cpp
===================================================================
--- src/UIElements/Views/Qt4/Plotting/QScrollZoomer/ScrollZoomer.cpp	(revision 0ee9cb3ffdfa575d37ce78be4bfb452a598dac02)
+++ src/UIElements/Views/Qt4/Plotting/QScrollZoomer/ScrollZoomer.cpp	(revision 788dceaed9acbcd89e4092b24f3b9345e53d82e3)
@@ -21,5 +21,5 @@
 
 // have this after(!) all Qt includes
-#include "CodePatterns/MemDebug.hpp"
+//#include "CodePatterns/MemDebug.hpp"
 
 class ScrollData
Index: src/UIElements/Views/Qt4/Plotting/QSeisCurveRegistry.cpp
===================================================================
--- src/UIElements/Views/Qt4/Plotting/QSeisCurveRegistry.cpp	(revision 0ee9cb3ffdfa575d37ce78be4bfb452a598dac02)
+++ src/UIElements/Views/Qt4/Plotting/QSeisCurveRegistry.cpp	(revision 788dceaed9acbcd89e4092b24f3b9345e53d82e3)
@@ -15,5 +15,5 @@
 
 // have this after(!) all Qt includes
-#include "CodePatterns/MemDebug.hpp"
+//#include "CodePatterns/MemDebug.hpp"
 
 #include "CodePatterns/Registry_impl.hpp"
Index: src/UIElements/Views/Qt4/Plotting/QSeisData.cpp
===================================================================
--- src/UIElements/Views/Qt4/Plotting/QSeisData.cpp	(revision 0ee9cb3ffdfa575d37ce78be4bfb452a598dac02)
+++ src/UIElements/Views/Qt4/Plotting/QSeisData.cpp	(revision 788dceaed9acbcd89e4092b24f3b9345e53d82e3)
@@ -17,5 +17,5 @@
 
 // have this after(!) all Qt includes
-#include "CodePatterns/MemDebug.hpp"
+//#include "CodePatterns/MemDebug.hpp"
 
 /** Constructor for QSeisData.
Index: src/UIElements/Views/Qt4/Plotting/QSeisPageRegistry.cpp
===================================================================
--- src/UIElements/Views/Qt4/Plotting/QSeisPageRegistry.cpp	(revision 0ee9cb3ffdfa575d37ce78be4bfb452a598dac02)
+++ src/UIElements/Views/Qt4/Plotting/QSeisPageRegistry.cpp	(revision 788dceaed9acbcd89e4092b24f3b9345e53d82e3)
@@ -15,5 +15,5 @@
 
 // have this after(!) all Qt includes
-#include "CodePatterns/MemDebug.hpp"
+//#include "CodePatterns/MemDebug.hpp"
 
 #include "CodePatterns/Registry_impl.hpp"
Index: src/UIElements/Views/Qt4/Plotting/QSeisPlot.cpp
===================================================================
--- src/UIElements/Views/Qt4/Plotting/QSeisPlot.cpp	(revision 0ee9cb3ffdfa575d37ce78be4bfb452a598dac02)
+++ src/UIElements/Views/Qt4/Plotting/QSeisPlot.cpp	(revision 788dceaed9acbcd89e4092b24f3b9345e53d82e3)
@@ -19,5 +19,5 @@
 
 // have this after(!) all Qt includes
-#include "CodePatterns/MemDebug.hpp"
+//#include "CodePatterns/MemDebug.hpp"
 
 QSeisPlot::QSeisPlot(QWidget *parent,QString type) : QwtPlot(parent)
Index: src/UIElements/Views/Qt4/Plotting/QSeisPlotCurve.cpp
===================================================================
--- src/UIElements/Views/Qt4/Plotting/QSeisPlotCurve.cpp	(revision 0ee9cb3ffdfa575d37ce78be4bfb452a598dac02)
+++ src/UIElements/Views/Qt4/Plotting/QSeisPlotCurve.cpp	(revision 788dceaed9acbcd89e4092b24f3b9345e53d82e3)
@@ -15,5 +15,5 @@
 
 // have this after(!) all Qt includes
-#include "CodePatterns/MemDebug.hpp"
+//#include "CodePatterns/MemDebug.hpp"
 
 #include "CodePatterns/Assert.hpp"
Index: src/UIElements/Views/Qt4/Plotting/QSeisPlotPage.cpp
===================================================================
--- src/UIElements/Views/Qt4/Plotting/QSeisPlotPage.cpp	(revision 0ee9cb3ffdfa575d37ce78be4bfb452a598dac02)
+++ src/UIElements/Views/Qt4/Plotting/QSeisPlotPage.cpp	(revision 788dceaed9acbcd89e4092b24f3b9345e53d82e3)
@@ -22,5 +22,5 @@
 
 // have this after(!) all Qt includes
-#include "CodePatterns/MemDebug.hpp"
+//#include "CodePatterns/MemDebug.hpp"
 
 QSeisPlotPage::QSeisPlotPage(QString type, QWidget *parent) :
Index: src/UIElements/Views/Qt4/Plotting/XMLParser/QSeisXMLParser.cpp
===================================================================
--- src/UIElements/Views/Qt4/Plotting/XMLParser/QSeisXMLParser.cpp	(revision 0ee9cb3ffdfa575d37ce78be4bfb452a598dac02)
+++ src/UIElements/Views/Qt4/Plotting/XMLParser/QSeisXMLParser.cpp	(revision 788dceaed9acbcd89e4092b24f3b9345e53d82e3)
@@ -24,5 +24,5 @@
 
 // have this after(!) all Qt includes
-#include "CodePatterns/MemDebug.hpp"
+//#include "CodePatterns/MemDebug.hpp"
 
 #include <boost/foreach.hpp>
Index: src/UIElements/Views/Qt4/Plotting/XMLParser/QSeisXMLParser_plotcurve.cpp
===================================================================
--- src/UIElements/Views/Qt4/Plotting/XMLParser/QSeisXMLParser_plotcurve.cpp	(revision 0ee9cb3ffdfa575d37ce78be4bfb452a598dac02)
+++ src/UIElements/Views/Qt4/Plotting/XMLParser/QSeisXMLParser_plotcurve.cpp	(revision 788dceaed9acbcd89e4092b24f3b9345e53d82e3)
@@ -12,5 +12,5 @@
 
 // have this after(!) all Qt includes
-#include "CodePatterns/MemDebug.hpp"
+//#include "CodePatterns/MemDebug.hpp"
 
 #include <iostream>
Index: src/UIElements/Views/Qt4/Plotting/XMLParser/QSeisXMLParser_plottype.cpp
===================================================================
--- src/UIElements/Views/Qt4/Plotting/XMLParser/QSeisXMLParser_plottype.cpp	(revision 0ee9cb3ffdfa575d37ce78be4bfb452a598dac02)
+++ src/UIElements/Views/Qt4/Plotting/XMLParser/QSeisXMLParser_plottype.cpp	(revision 788dceaed9acbcd89e4092b24f3b9345e53d82e3)
@@ -12,5 +12,5 @@
 
 // have this after(!) all Qt includes
-#include "CodePatterns/MemDebug.hpp"
+//#include "CodePatterns/MemDebug.hpp"
 
 #include "CodePatterns/Assert.hpp"
Index: src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject.cpp
===================================================================
--- src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject.cpp	(revision 0ee9cb3ffdfa575d37ce78be4bfb452a598dac02)
+++ src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject.cpp	(revision 788dceaed9acbcd89e4092b24f3b9345e53d82e3)
@@ -43,5 +43,5 @@
 #include <Qt3D/qglmaterial.h>
 
-#include "CodePatterns/MemDebug.hpp"
+//#include "CodePatterns/MemDebug.hpp"
 
 #include "CodePatterns/Assert.hpp"
@@ -56,5 +56,5 @@
 
 
-#include "CodePatterns/MemDebug.hpp"
+//#include "CodePatterns/MemDebug.hpp"
 
 QGLMaterial *GLMoleculeObject::m_hoverMaterial = NULL;
Index: src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject_atom.cpp
===================================================================
--- src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject_atom.cpp	(revision 0ee9cb3ffdfa575d37ce78be4bfb452a598dac02)
+++ src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject_atom.cpp	(revision 788dceaed9acbcd89e4092b24f3b9345e53d82e3)
@@ -38,5 +38,5 @@
 #include <Qt3D/qglscenenode.h>
 
-#include "CodePatterns/MemDebug.hpp"
+//#include "CodePatterns/MemDebug.hpp"
 
 #include "CodePatterns/Assert.hpp"
Index: src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject_bond.cpp
===================================================================
--- src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject_bond.cpp	(revision 0ee9cb3ffdfa575d37ce78be4bfb452a598dac02)
+++ src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject_bond.cpp	(revision 788dceaed9acbcd89e4092b24f3b9345e53d82e3)
@@ -41,5 +41,5 @@
 #include "UIElements/Qt4/InstanceBoard/QtObservedInstanceBoard.hpp"
 
-#include "CodePatterns/MemDebug.hpp"
+//#include "CodePatterns/MemDebug.hpp"
 
 #include <cmath>
Index: src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject_molecule.cpp
===================================================================
--- src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject_molecule.cpp	(revision 0ee9cb3ffdfa575d37ce78be4bfb452a598dac02)
+++ src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject_molecule.cpp	(revision 788dceaed9acbcd89e4092b24f3b9345e53d82e3)
@@ -42,5 +42,5 @@
 #include "UIElements/Views/Qt4/Qt3D/GLMoleculeObject_atom.hpp"
 
-#include "CodePatterns/MemDebug.hpp"
+//#include "CodePatterns/MemDebug.hpp"
 
 #include "CodePatterns/Assert.hpp"
Index: src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject_shape.cpp
===================================================================
--- src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject_shape.cpp	(revision 0ee9cb3ffdfa575d37ce78be4bfb452a598dac02)
+++ src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject_shape.cpp	(revision 788dceaed9acbcd89e4092b24f3b9345e53d82e3)
@@ -45,5 +45,5 @@
 #include <Qt3D/qglsphere.h>
 
-#include "CodePatterns/MemDebug.hpp"
+//#include "CodePatterns/MemDebug.hpp"
 
 #include "CodePatterns/Assert.hpp"
Index: src/UIElements/Views/Qt4/Qt3D/GLWorldScene.cpp
===================================================================
--- src/UIElements/Views/Qt4/Qt3D/GLWorldScene.cpp	(revision 0ee9cb3ffdfa575d37ce78be4bfb452a598dac02)
+++ src/UIElements/Views/Qt4/Qt3D/GLWorldScene.cpp	(revision 788dceaed9acbcd89e4092b24f3b9345e53d82e3)
@@ -51,5 +51,5 @@
 #include "UIElements/Qt4/InstanceBoard/QtObservedInstanceBoard.hpp"
 
-#include "CodePatterns/MemDebug.hpp"
+//#include "CodePatterns/MemDebug.hpp"
 
 #include "CodePatterns/Log.hpp"
Index: src/UIElements/Views/Qt4/Qt3D/GLWorldView.cpp
===================================================================
--- src/UIElements/Views/Qt4/Qt3D/GLWorldView.cpp	(revision 0ee9cb3ffdfa575d37ce78be4bfb452a598dac02)
+++ src/UIElements/Views/Qt4/Qt3D/GLWorldView.cpp	(revision 788dceaed9acbcd89e4092b24f3b9345e53d82e3)
@@ -51,5 +51,5 @@
 #include "GLWorldScene.hpp"
 
-#include "CodePatterns/MemDebug.hpp"
+//#include "CodePatterns/MemDebug.hpp"
 
 #include "Atom/AtomObserver.hpp"
Index: src/UIElements/Views/Qt4/QtFragmentList.cpp
===================================================================
--- src/UIElements/Views/Qt4/QtFragmentList.cpp	(revision 0ee9cb3ffdfa575d37ce78be4bfb452a598dac02)
+++ src/UIElements/Views/Qt4/QtFragmentList.cpp	(revision 788dceaed9acbcd89e4092b24f3b9345e53d82e3)
@@ -43,5 +43,5 @@
 #include <boost/lexical_cast.hpp>
 
-#include "CodePatterns/MemDebug.hpp"
+//#include "CodePatterns/MemDebug.hpp"
 
 #include <iterator>
Index: src/UIElements/Views/Qt4/QtHomologyList.cpp
===================================================================
--- src/UIElements/Views/Qt4/QtHomologyList.cpp	(revision 0ee9cb3ffdfa575d37ce78be4bfb452a598dac02)
+++ src/UIElements/Views/Qt4/QtHomologyList.cpp	(revision 788dceaed9acbcd89e4092b24f3b9345e53d82e3)
@@ -43,5 +43,5 @@
 #include <Qt/qboxlayout.h>
 
-#include "CodePatterns/MemDebug.hpp"
+//#include "CodePatterns/MemDebug.hpp"
 
 #include <iterator>
Index: src/UIElements/Views/Qt4/QtInfoBox.cpp
===================================================================
--- src/UIElements/Views/Qt4/QtInfoBox.cpp	(revision 0ee9cb3ffdfa575d37ce78be4bfb452a598dac02)
+++ src/UIElements/Views/Qt4/QtInfoBox.cpp	(revision 788dceaed9acbcd89e4092b24f3b9345e53d82e3)
@@ -38,5 +38,5 @@
 #include <QAbstractItemView>
 
-#include "CodePatterns/MemDebug.hpp"
+//#include "CodePatterns/MemDebug.hpp"
 
 #include "UIElements/Qt4/InstanceBoard/QtObservedInstanceBoard.hpp"
Index: src/UIElements/Views/Qt4/QtLogBox.cpp
===================================================================
--- src/UIElements/Views/Qt4/QtLogBox.cpp	(revision 0ee9cb3ffdfa575d37ce78be4bfb452a598dac02)
+++ src/UIElements/Views/Qt4/QtLogBox.cpp	(revision 788dceaed9acbcd89e4092b24f3b9345e53d82e3)
@@ -38,5 +38,5 @@
 #include <QTextCursor>
 
-#include "CodePatterns/MemDebug.hpp"
+//#include "CodePatterns/MemDebug.hpp"
 
 #include "CodePatterns/Log.hpp"
Index: src/UIElements/Views/Qt4/QtNumericalItem.cpp
===================================================================
--- src/UIElements/Views/Qt4/QtNumericalItem.cpp	(revision 0ee9cb3ffdfa575d37ce78be4bfb452a598dac02)
+++ src/UIElements/Views/Qt4/QtNumericalItem.cpp	(revision 788dceaed9acbcd89e4092b24f3b9345e53d82e3)
@@ -38,5 +38,5 @@
 #include <QTreeWidget>
 
-#include "CodePatterns/MemDebug.hpp"
+//#include "CodePatterns/MemDebug.hpp"
 
 #include <boost/lexical_cast.hpp>
Index: src/UIElements/Views/Qt4/QtShapeController.cpp
===================================================================
--- src/UIElements/Views/Qt4/QtShapeController.cpp	(revision 0ee9cb3ffdfa575d37ce78be4bfb452a598dac02)
+++ src/UIElements/Views/Qt4/QtShapeController.cpp	(revision 788dceaed9acbcd89e4092b24f3b9345e53d82e3)
@@ -47,5 +47,5 @@
 #include <Qt/qmenu.h>
 
-#include "CodePatterns/MemDebug.hpp"
+//#include "CodePatterns/MemDebug.hpp"
 
 using namespace std;
Index: src/UIElements/Views/Qt4/QtShapeList.cpp
===================================================================
--- src/UIElements/Views/Qt4/QtShapeList.cpp	(revision 0ee9cb3ffdfa575d37ce78be4bfb452a598dac02)
+++ src/UIElements/Views/Qt4/QtShapeList.cpp	(revision 788dceaed9acbcd89e4092b24f3b9345e53d82e3)
@@ -37,5 +37,5 @@
 #include <iostream>
 
-#include "CodePatterns/MemDebug.hpp"
+//#include "CodePatterns/MemDebug.hpp"
 
 #include "CodePatterns/Observer/Notification.hpp"
Index: src/UIElements/Views/Qt4/QtStatusBar.cpp
===================================================================
--- src/UIElements/Views/Qt4/QtStatusBar.cpp	(revision 0ee9cb3ffdfa575d37ce78be4bfb452a598dac02)
+++ src/UIElements/Views/Qt4/QtStatusBar.cpp	(revision 788dceaed9acbcd89e4092b24f3b9345e53d82e3)
@@ -43,5 +43,5 @@
 #include "QtStatusBar.hpp"
 
-#include "CodePatterns/MemDebug.hpp"
+//#include "CodePatterns/MemDebug.hpp"
 #include "CodePatterns/Observer/Notification.hpp"
 
Index: src/UIElements/Views/Qt4/QtTimeLine.cpp
===================================================================
--- src/UIElements/Views/Qt4/QtTimeLine.cpp	(revision 0ee9cb3ffdfa575d37ce78be4bfb452a598dac02)
+++ src/UIElements/Views/Qt4/QtTimeLine.cpp	(revision 788dceaed9acbcd89e4092b24f3b9345e53d82e3)
@@ -36,5 +36,5 @@
 #include "QtTimeLine.hpp"
 
-#include "CodePatterns/MemDebug.hpp"
+//#include "CodePatterns/MemDebug.hpp"
 
 #include "CodePatterns/Assert.hpp"
Index: src/UIElements/Views/Qt4/QtToolBar.cpp
===================================================================
--- src/UIElements/Views/Qt4/QtToolBar.cpp	(revision 0ee9cb3ffdfa575d37ce78be4bfb452a598dac02)
+++ src/UIElements/Views/Qt4/QtToolBar.cpp	(revision 788dceaed9acbcd89e4092b24f3b9345e53d82e3)
@@ -35,5 +35,5 @@
 #include "QtToolBar.hpp"
 
-#include "CodePatterns/MemDebug.hpp"
+//#include "CodePatterns/MemDebug.hpp"
 
 #include "CodePatterns/Observer/Notification.hpp"
Index: src/UIElements/Views/Qt4/QtToolBar_QtFavoriteActions.cpp
===================================================================
--- src/UIElements/Views/Qt4/QtToolBar_QtFavoriteActions.cpp	(revision 0ee9cb3ffdfa575d37ce78be4bfb452a598dac02)
+++ src/UIElements/Views/Qt4/QtToolBar_QtFavoriteActions.cpp	(revision 788dceaed9acbcd89e4092b24f3b9345e53d82e3)
@@ -40,5 +40,5 @@
 #include "UIElements/Views/Qt4/QtToolBar.hpp"
 
-#include "CodePatterns/MemDebug.hpp"
+//#include "CodePatterns/MemDebug.hpp"
 
 #include <string>