Index: src/UIElements/CommandLineUI/CommandLineDialog.cpp
===================================================================
--- src/UIElements/CommandLineUI/CommandLineDialog.cpp	(revision 65487f331fd5824af614cee6c3d083360a9f4d4b)
+++ src/UIElements/CommandLineUI/CommandLineDialog.cpp	(revision 838cd09f5b0b8fc58fc121f2fad94ab4a811175b)
@@ -46,4 +46,8 @@
 void CommandLineDialog::queryInts(const char* title, string _description){
   registerQuery(new IntsCommandLineQuery(title, _description));
+}
+
+void CommandLineDialog::queryUnsignedInt(const char* title, string _description){
+  registerQuery(new UnsignedIntCommandLineQuery(title, _description));
 }
 
Index: src/UIElements/CommandLineUI/CommandLineDialog.hpp
===================================================================
--- src/UIElements/CommandLineUI/CommandLineDialog.hpp	(revision 65487f331fd5824af614cee6c3d083360a9f4d4b)
+++ src/UIElements/CommandLineUI/CommandLineDialog.hpp	(revision 838cd09f5b0b8fc58fc121f2fad94ab4a811175b)
@@ -36,4 +36,5 @@
   virtual void queryInt(const char *, std::string = "");
   virtual void queryInts(const char *, std::string = "");
+  virtual void queryUnsignedInt(const char *, std::string = "");
   virtual void queryBoolean(const char *, std::string = "");
   virtual void queryString(const char*, std::string = "");
@@ -72,4 +73,5 @@
   class StringCommandLineQuery;
   class StringsCommandLineQuery;
+  class UnsignedIntCommandLineQuery;
   class VectorCommandLineQuery;
   class VectorsCommandLineQuery;
Index: src/UIElements/CommandLineUI/CommandLineParser.cpp
===================================================================
--- src/UIElements/CommandLineUI/CommandLineParser.cpp	(revision 65487f331fd5824af614cee6c3d083360a9f4d4b)
+++ src/UIElements/CommandLineUI/CommandLineParser.cpp	(revision 838cd09f5b0b8fc58fc121f2fad94ab4a811175b)
@@ -231,4 +231,13 @@
 //                  po::value < std::vector<int> >()->default_value(boost::lexical_cast< std::vector<int> >(currentOption->getDefaultValue().c_str())) :
                   po::value < std::vector<int> >()->multitoken(),
+                  currentOption->getDescription().c_str())
+        ;
+      break;
+    case TypeEnumContainer::UnsignedIntegerType:
+      OptionList->add_options()
+        (currentOption->getKeyAndShortForm().c_str(),
+            currentOption->hasDefaultValue() ?
+                  po::value < unsigned int >()->default_value(boost::lexical_cast<unsigned int>(currentOption->getDefaultValue().c_str())) :
+                  po::value < unsigned int >(),
                   currentOption->getDescription().c_str())
         ;
Index: src/UIElements/CommandLineUI/Query/CommandLineQuery.hpp
===================================================================
--- src/UIElements/CommandLineUI/Query/CommandLineQuery.hpp	(revision 65487f331fd5824af614cee6c3d083360a9f4d4b)
+++ src/UIElements/CommandLineUI/Query/CommandLineQuery.hpp	(revision 838cd09f5b0b8fc58fc121f2fad94ab4a811175b)
@@ -35,4 +35,11 @@
   IntsCommandLineQuery(std::string title, std::string _description = "");
   virtual ~IntsCommandLineQuery();
+  virtual bool handle();
+};
+
+class CommandLineDialog::UnsignedIntCommandLineQuery : public Dialog::UnsignedIntQuery {
+public:
+  UnsignedIntCommandLineQuery(std::string title, std::string _description = "");
+  virtual ~UnsignedIntCommandLineQuery();
   virtual bool handle();
 };
Index: src/UIElements/CommandLineUI/Query/UnsignedIntCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/UnsignedIntCommandLineQuery.cpp	(revision 838cd09f5b0b8fc58fc121f2fad94ab4a811175b)
+++ src/UIElements/CommandLineUI/Query/UnsignedIntCommandLineQuery.cpp	(revision 838cd09f5b0b8fc58fc121f2fad94ab4a811175b)
@@ -0,0 +1,42 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
+/*
+ * UnsignedIntCommandLineQuery.cpp
+ *
+ *  Created on: Oct 25, 2010
+ *      Author: heber
+ */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+#include "CodePatterns/MemDebug.hpp"
+
+#include "CommandLineUI/Query/CommandLineQuery.hpp"
+#include "CommandLineUI/CommandLineParser.hpp"
+#include "CodePatterns/Log.hpp"
+#include "CodePatterns/Verbose.hpp"
+
+CommandLineDialog::UnsignedIntCommandLineQuery::UnsignedIntCommandLineQuery(string title, string _description) :
+    Dialog::UnsignedIntQuery(title, _description)
+{}
+
+CommandLineDialog::UnsignedIntCommandLineQuery::~UnsignedIntCommandLineQuery() {}
+
+bool CommandLineDialog::UnsignedIntCommandLineQuery::handle() {
+  if (CommandLineParser::getInstance().vm.count(getTitle())) {
+    tmp = CommandLineParser::getInstance().vm[getTitle()].as<unsigned int>();
+    return true;
+  } else {
+    DoeLog(1) && (eLog() << Verbose(1) << "CommandLineUI parsing error: Missing integer for " << getTitle() << "." << endl);
+    return false;
+  }
+}
+
Index: src/UIElements/CommandLineUI/TypeEnumContainer.cpp
===================================================================
--- src/UIElements/CommandLineUI/TypeEnumContainer.cpp	(revision 65487f331fd5824af614cee6c3d083360a9f4d4b)
+++ src/UIElements/CommandLineUI/TypeEnumContainer.cpp	(revision 838cd09f5b0b8fc58fc121f2fad94ab4a811175b)
@@ -52,4 +52,5 @@
   TypeEnumMap[&typeid(int)] = IntegerType;
   TypeEnumMap[&typeid(std::vector<int>)] = ListOfIntegersType;
+  TypeEnumMap[&typeid(unsigned int)] = UnsignedIntegerType;
   TypeEnumMap[&typeid(double)] = DoubleType;
   TypeEnumMap[&typeid(std::vector<double>)] = ListOfDoublesType;
Index: src/UIElements/CommandLineUI/TypeEnumContainer.hpp
===================================================================
--- src/UIElements/CommandLineUI/TypeEnumContainer.hpp	(revision 65487f331fd5824af614cee6c3d083360a9f4d4b)
+++ src/UIElements/CommandLineUI/TypeEnumContainer.hpp	(revision 838cd09f5b0b8fc58fc121f2fad94ab4a811175b)
@@ -33,4 +33,5 @@
         IntegerType,
         ListOfIntegersType,
+        UnsignedIntegerType,
         DoubleType,
         ListOfDoublesType,
Index: src/UIElements/Dialog.cpp
===================================================================
--- src/UIElements/Dialog.cpp	(revision 65487f331fd5824af614cee6c3d083360a9f4d4b)
+++ src/UIElements/Dialog.cpp	(revision 838cd09f5b0b8fc58fc121f2fad94ab4a811175b)
@@ -106,4 +106,9 @@
 }
 
+template <> void Dialog::query<unsigned int>(const char *token, std::string description)
+{
+  queryUnsignedInt(token, description);
+}
+
 template <> void Dialog::query<double>(const char *token, std::string description)
 {
Index: src/UIElements/Dialog.hpp
===================================================================
--- src/UIElements/Dialog.hpp	(revision 65487f331fd5824af614cee6c3d083360a9f4d4b)
+++ src/UIElements/Dialog.hpp	(revision 838cd09f5b0b8fc58fc121f2fad94ab4a811175b)
@@ -160,4 +160,5 @@
   virtual void queryInt(const char *, std::string = "")=0;
   virtual void queryInts(const char *, std::string = "")=0;
+  virtual void queryUnsignedInt(const char *, std::string = "")=0;
   virtual void queryDouble(const char*, std::string = "")=0;
   virtual void queryDoubles(const char*, std::string = "")=0;
@@ -276,4 +277,14 @@
   };
 
+  class UnsignedIntQuery : public Query {
+  public:
+    UnsignedIntQuery(std::string title, std::string _description = "");
+    virtual ~UnsignedIntQuery();
+    virtual bool handle()=0;
+    virtual void setResult();
+  protected:
+    unsigned int tmp;
+  };
+
   class DoubleQuery : public Query {
   public:
Index: src/UIElements/Makefile.am
===================================================================
--- src/UIElements/Makefile.am	(revision 65487f331fd5824af614cee6c3d083360a9f4d4b)
+++ src/UIElements/Makefile.am	(revision 838cd09f5b0b8fc58fc121f2fad94ab4a811175b)
@@ -18,4 +18,5 @@
   UIElements/CommandLineUI/Query/StringCommandLineQuery.cpp \
   UIElements/CommandLineUI/Query/StringsCommandLineQuery.cpp \
+  UIElements/CommandLineUI/Query/UnsignedIntCommandLineQuery.cpp \
   UIElements/CommandLineUI/Query/VectorCommandLineQuery.cpp \
   UIElements/CommandLineUI/Query/VectorsCommandLineQuery.cpp \
@@ -85,4 +86,5 @@
   UIElements/TextUI/Query/StringTextQuery.cpp \
   UIElements/TextUI/Query/StringsTextQuery.cpp \
+  UIElements/TextUI/Query/UnsignedIntTextQuery.cpp \
   UIElements/TextUI/Query/VectorTextQuery.cpp \
   UIElements/TextUI/Query/VectorsTextQuery.cpp \
@@ -134,4 +136,5 @@
   UIElements/Query/StringQuery.cpp \
   UIElements/Query/StringsQuery.cpp \
+  UIElements/Query/UnsignedIntQuery.cpp \
   UIElements/Query/VectorQuery.cpp \
   UIElements/Query/VectorsQuery.cpp \
@@ -162,4 +165,5 @@
   UIElements/Qt4/Pipe/MoleculesQtQueryPipe.cpp \
   UIElements/Qt4/Pipe/StringQtQueryPipe.cpp \
+  UIElements/Qt4/Pipe/UnsignedIntQtQueryPipe.cpp \
   UIElements/Qt4/Pipe/VectorQtQueryPipe.cpp \
   UIElements/Qt4/Pipe/VectorsQtQueryPipe.cpp \
@@ -181,4 +185,5 @@
   UIElements/Qt4/Query/StringQtQuery.cpp \
   UIElements/Qt4/Query/StringsQtQuery.cpp \
+  UIElements/Qt4/Query/UnsignedIntQtQuery.cpp \
   UIElements/Qt4/Query/VectorQtQuery.cpp \
   UIElements/Qt4/Query/VectorsQtQuery.cpp \
@@ -215,4 +220,5 @@
   UIElements/Qt4/Pipe/RandomNumberDistribution_ParametersQtQueryPipe.hpp \
   UIElements/Qt4/Pipe/StringQtQueryPipe.hpp \
+  UIElements/Qt4/Pipe/UnsignedIntQtQueryPipe.hpp \
   UIElements/Qt4/Pipe/VectorQtQueryPipe.hpp \
   UIElements/Qt4/Pipe/VectorsQtQueryPipe.hpp \
Index: src/UIElements/Qt4/Pipe/UnsignedIntQtQueryPipe.cpp
===================================================================
--- src/UIElements/Qt4/Pipe/UnsignedIntQtQueryPipe.cpp	(revision 838cd09f5b0b8fc58fc121f2fad94ab4a811175b)
+++ src/UIElements/Qt4/Pipe/UnsignedIntQtQueryPipe.cpp	(revision 838cd09f5b0b8fc58fc121f2fad94ab4a811175b)
@@ -0,0 +1,38 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
+/*
+ * UnsignedIntQtQueryPipe.cpp
+ *
+ *  Created on: Oct 25, 2010
+ *      Author: heber
+ */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+#include "UIElements/Qt4/Pipe/UnsignedIntQtQueryPipe.hpp"
+#include "UIElements/Qt4/QtDialog.hpp"
+
+#include "CodePatterns/MemDebug.hpp"
+
+
+UnsignedIntQtQueryPipe::UnsignedIntQtQueryPipe(unsigned int *_content, QtDialog *_dialog) :
+  content(_content),
+  dialog(_dialog)
+{}
+
+UnsignedIntQtQueryPipe::~UnsignedIntQtQueryPipe()
+{}
+
+void UnsignedIntQtQueryPipe::update(unsigned int newUnsignedInt) {
+  (*content) = newUnsignedInt;
+  dialog->update();
+}
+
Index: src/UIElements/Qt4/Pipe/UnsignedIntQtQueryPipe.hpp
===================================================================
--- src/UIElements/Qt4/Pipe/UnsignedIntQtQueryPipe.hpp	(revision 838cd09f5b0b8fc58fc121f2fad94ab4a811175b)
+++ src/UIElements/Qt4/Pipe/UnsignedIntQtQueryPipe.hpp	(revision 838cd09f5b0b8fc58fc121f2fad94ab4a811175b)
@@ -0,0 +1,37 @@
+/*
+ * UnsignedIntQtQueryPipe.hpp
+ *
+ *  Created on: Nov 8, 2010
+ *      Author: heber
+ */
+
+#ifndef UNSIGNEDINTQTQUERYPIPE_HPP_
+#define UNSIGNEDINTQTQUERYPIPE_HPP_
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+
+#include <Qt/qwidget.h>
+
+class QtDialog;
+
+class UnsignedIntQtQueryPipe : public QWidget {
+  Q_OBJECT
+public:
+  UnsignedIntQtQueryPipe(unsigned int *_content, QtDialog *_dialog);
+  virtual ~UnsignedIntQtQueryPipe();
+
+public slots:
+  void update(unsigned int);
+
+private:
+  unsigned int *content;
+  QtDialog *dialog;
+
+};
+
+
+#endif /* UNSIGNEDINTQTQUERYPIPE_HPP_ */
Index: src/UIElements/Qt4/QtDialog.cpp
===================================================================
--- src/UIElements/Qt4/QtDialog.cpp	(revision 65487f331fd5824af614cee6c3d083360a9f4d4b)
+++ src/UIElements/Qt4/QtDialog.cpp	(revision 838cd09f5b0b8fc58fc121f2fad94ab4a811175b)
@@ -110,4 +110,9 @@
 }
 
+void QtDialog::queryUnsignedInt(const char *title,string)
+{
+  registerQuery(new UnsignedIntQtQuery(title,inputLayout,this));
+}
+
 void QtDialog::queryDouble(const char* title,string)
 {
Index: src/UIElements/Qt4/QtDialog.hpp
===================================================================
--- src/UIElements/Qt4/QtDialog.hpp	(revision 65487f331fd5824af614cee6c3d083360a9f4d4b)
+++ src/UIElements/Qt4/QtDialog.hpp	(revision 838cd09f5b0b8fc58fc121f2fad94ab4a811175b)
@@ -36,4 +36,5 @@
   virtual void queryInt(const char *,std::string = "");
   virtual void queryInts(const char *,std::string = "");
+  virtual void queryUnsignedInt(const char *,std::string = "");
   virtual void queryDouble(const char*,std::string = "");
   virtual void queryDoubles(const char*,std::string = "");
@@ -73,4 +74,5 @@
   class StringQtQuery;
   class StringsQtQuery;
+  class UnsignedIntQtQuery;
   class VectorQtQuery;
   class VectorsQtQuery;
Index: src/UIElements/Qt4/Query/QtQuery.hpp
===================================================================
--- src/UIElements/Qt4/Query/QtQuery.hpp	(revision 65487f331fd5824af614cee6c3d083360a9f4d4b)
+++ src/UIElements/Qt4/Query/QtQuery.hpp	(revision 838cd09f5b0b8fc58fc121f2fad94ab4a811175b)
@@ -47,4 +47,5 @@
 class StringQtQueryPipe;
 class StringsQtQueryPipe;
+class UnsignedIntQtQueryPipe;
 class VectorQtQueryPipe;
 class VectorsQtQueryPipe;
@@ -279,4 +280,18 @@
 };
 
+class QtDialog::UnsignedIntQtQuery : public Dialog::UnsignedIntQuery {
+public:
+  UnsignedIntQtQuery(std::string _title,QBoxLayout *_parent,QtDialog *_dialog);
+  virtual ~UnsignedIntQtQuery();
+  virtual bool handle();
+private:
+  QBoxLayout *parent;
+  QBoxLayout *thisLayout;
+  QLabel *titleLabel;
+  QSpinBox *inputBox;
+
+  UnsignedIntQtQueryPipe *pipe;
+};
+
 class QtDialog::VectorQtQuery : public Dialog::VectorQuery {
 public:
Index: src/UIElements/Qt4/Query/UnsignedIntQtQuery.cpp
===================================================================
--- src/UIElements/Qt4/Query/UnsignedIntQtQuery.cpp	(revision 838cd09f5b0b8fc58fc121f2fad94ab4a811175b)
+++ src/UIElements/Qt4/Query/UnsignedIntQtQuery.cpp	(revision 838cd09f5b0b8fc58fc121f2fad94ab4a811175b)
@@ -0,0 +1,55 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
+/*
+ * UnsignedIntQtQuery.cpp
+ *
+ *  Created on: Oct 25, 2010
+ *      Author: heber
+ */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+#include <Qt/qboxlayout.h>
+#include <Qt/qlabel.h>
+#include <Qt/qspinbox.h>
+
+#include "CodePatterns/MemDebug.hpp"
+
+#include "UIElements/Qt4/Query/QtQuery.hpp"
+#include "UIElements/Qt4/Pipe/UnsignedIntQtQueryPipe.hpp"
+
+
+QtDialog::UnsignedIntQtQuery::UnsignedIntQtQuery(string _title,QBoxLayout *_parent,QtDialog *_dialog) :
+    Dialog::UnsignedIntQuery(_title),
+    parent(_parent)
+{
+  thisLayout = new QHBoxLayout();
+  titleLabel = new QLabel(QString(getTitle().c_str()));
+  inputBox = new QSpinBox();
+  inputBox->setValue(0);
+  parent->addLayout(thisLayout);
+  thisLayout->addWidget(titleLabel);
+  thisLayout->addWidget(inputBox);
+
+  pipe = new UnsignedIntQtQueryPipe(&tmp,_dialog);
+  pipe->update(inputBox->value());
+  connect(inputBox,SIGNAL(valueChanged(unsigned int)),pipe,SLOT(update(unsigned int)));
+}
+
+QtDialog::UnsignedIntQtQuery::~UnsignedIntQtQuery()
+{
+  delete pipe;
+}
+
+bool QtDialog::UnsignedIntQtQuery::handle() {
+  return true;
+}
+
Index: src/UIElements/Query/UnsignedIntQuery.cpp
===================================================================
--- src/UIElements/Query/UnsignedIntQuery.cpp	(revision 838cd09f5b0b8fc58fc121f2fad94ab4a811175b)
+++ src/UIElements/Query/UnsignedIntQuery.cpp	(revision 838cd09f5b0b8fc58fc121f2fad94ab4a811175b)
@@ -0,0 +1,35 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
+/*
+ * UnsignedIntQuery.cpp
+ *
+ *  Created on: Oct 25, 2010
+ *      Author: heber
+ */
+
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+#include "CodePatterns/MemDebug.hpp"
+
+#include "Dialog.hpp"
+#include "Actions/ValueStorage.hpp"
+
+
+// UnsignedInt Queries
+Dialog::UnsignedIntQuery::UnsignedIntQuery(string title, std::string description) :
+    Query(title, description)
+{}
+
+Dialog::UnsignedIntQuery::~UnsignedIntQuery() {}
+
+void Dialog::UnsignedIntQuery::setResult() {
+  ValueStorage::getInstance().setCurrentValue(title.c_str(), tmp);
+}
+
Index: src/UIElements/TextUI/Query/TextQuery.hpp
===================================================================
--- src/UIElements/TextUI/Query/TextQuery.hpp	(revision 65487f331fd5824af614cee6c3d083360a9f4d4b)
+++ src/UIElements/TextUI/Query/TextQuery.hpp	(revision 838cd09f5b0b8fc58fc121f2fad94ab4a811175b)
@@ -129,4 +129,11 @@
 };
 
+class TextDialog::UnsignedIntTextQuery : public Dialog::UnsignedIntQuery {
+public:
+  UnsignedIntTextQuery(std::string title, std::string _description = NULL);
+  virtual ~UnsignedIntTextQuery();
+  virtual bool handle();
+};
+
 class TextDialog::VectorTextQuery : public Dialog::VectorQuery {
 public:
Index: src/UIElements/TextUI/Query/UnsignedIntTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/UnsignedIntTextQuery.cpp	(revision 838cd09f5b0b8fc58fc121f2fad94ab4a811175b)
+++ src/UIElements/TextUI/Query/UnsignedIntTextQuery.cpp	(revision 838cd09f5b0b8fc58fc121f2fad94ab4a811175b)
@@ -0,0 +1,53 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
+/*
+ * UnsignedIntTextQuery.cpp
+ *
+ *  Created on: Oct 25, 2010
+ *      Author: heber
+ */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+#include "CodePatterns/MemDebug.hpp"
+
+#include <iostream>
+
+#include "TextUI/Query/TextQuery.hpp"
+
+#include "CodePatterns/Log.hpp"
+#include "CodePatterns/Verbose.hpp"
+
+
+TextDialog::UnsignedIntTextQuery::UnsignedIntTextQuery(string title, std::string _description) :
+    Dialog::UnsignedIntQuery(title,_description)
+{}
+
+TextDialog::UnsignedIntTextQuery::~UnsignedIntTextQuery() {}
+
+bool TextDialog::UnsignedIntTextQuery::handle() {
+  bool badInput = false;
+  do{
+    badInput = false;
+    std::cout << getDescription() << ": ";
+    std::cin >> tmp;
+    if(std::cin.fail()){
+      badInput=true;
+      std::cin.clear();
+      std::cin.ignore(std::numeric_limits<streamsize>::max(),'\n');
+      std::cout << "Input was not a number!" << std::endl;
+    }
+  } while(badInput);
+  // clear the input buffer of anything still in the line
+  std::cin.ignore(std::numeric_limits<streamsize>::max(),'\n');
+  return true;
+}
+
Index: src/UIElements/TextUI/TextDialog.cpp
===================================================================
--- src/UIElements/TextUI/TextDialog.cpp	(revision 65487f331fd5824af614cee6c3d083360a9f4d4b)
+++ src/UIElements/TextUI/TextDialog.cpp	(revision 838cd09f5b0b8fc58fc121f2fad94ab4a811175b)
@@ -48,4 +48,8 @@
 void TextDialog::queryInts(const char* title, std::string description){
   registerQuery(new IntsTextQuery(title,description));
+}
+
+void TextDialog::queryUnsignedInt(const char* title, std::string description){
+  registerQuery(new UnsignedIntTextQuery(title,description));
 }
 
Index: src/UIElements/TextUI/TextDialog.hpp
===================================================================
--- src/UIElements/TextUI/TextDialog.hpp	(revision 65487f331fd5824af614cee6c3d083360a9f4d4b)
+++ src/UIElements/TextUI/TextDialog.hpp	(revision 838cd09f5b0b8fc58fc121f2fad94ab4a811175b)
@@ -34,4 +34,5 @@
   virtual void queryInt(const char *, std::string = "");
   virtual void queryInts(const char *, std::string = "");
+  virtual void queryUnsignedInt(const char *, std::string = "");
   virtual void queryString(const char*, std::string = "");
   virtual void queryStrings(const char*, std::string = "");
@@ -70,4 +71,5 @@
   class StringTextQuery;
   class StringsTextQuery;
+  class UnsignedIntTextQuery;
   class VectorTextQuery;
   class VectorsTextQuery;