Index: tests/regression/Tesselation/BigConvex/pre/test.conf
===================================================================
--- tests/regression/Tesselation/BigConvex/pre/test.conf	(revision 881c0591436d2892dfe4f605d06902bb7a21e338)
+++ tests/regression/Tesselation/BigConvex/pre/test.conf	(revision 881c0591436d2892dfe4f605d06902bb7a21e338)
@@ -0,0 +1,147 @@
+# ParallelCarParinello - main configuration file - created with molecuilder
+
+mainname	pcp	# programm name (for runtime files)
+defaultpath	not specified	# where to put files during runtime
+pseudopotpath	not specified	# where to find pseudopotentials
+
+ProcPEGamma	8	# for parallel computing: share constants
+ProcPEPsi	1	# for parallel computing: share wave functions
+DoOutVis	0	# Output data for OpenDX
+DoOutMes	1	# Output data for measurements
+DoOutOrbitals	0	# Output all Orbitals
+DoOutCurr	0	# Ouput current density for OpenDx
+DoOutNICS	0	# Output Nucleus independent current shieldings
+DoPerturbation	0	# Do perturbation calculate and determine susceptibility and shielding
+DoFullCurrent	0	# Do full perturbation
+DoConstrainedMD	0	# Do perform a constrained (>0, relating to current MD step) instead of unconstrained (0) MD
+Thermostat	Berendsen	2.5	# Which Thermostat and its parameters to use in MD case.
+CommonWannier	0	# Put virtual centers at indivual orbits, all common, merged by variance, to grid point, to cell center
+SawtoothStart	0.01	# Absolute value for smooth transition at cell border 
+VectorPlane	0	# Cut plane axis (x, y or z: 0,1,2) for two-dim current vector plot
+VectorCut	0	# Cut plane axis value
+AddGramSch	1	# Additional GramSchmidtOrtogonalization to be safe
+Seed		1	# initial value for random seed for Psi coefficients
+
+MaxOuterStep	0	# number of MolecularDynamics/Structure optimization steps
+Deltat	0.01	# time per MD step
+OutVisStep	10	# Output visual data every ...th step
+OutSrcStep	5	# Output "restart" data every ..th step
+TargetTemp	0.000950045	# Target temperature
+MaxPsiStep	0	# number of Minimisation steps per state (0 - default)
+EpsWannier	1e-07	# tolerance value for spread minimisation of orbitals
+
+# Values specifying when to stop
+MaxMinStep	100	# Maximum number of steps
+RelEpsTotalE	1e-07	# relative change in total energy
+RelEpsKineticE	1e-05	# relative change in kinetic energy
+MaxMinStopStep	0	# check every ..th steps
+MaxMinGapStopStep	0	# check every ..th steps
+
+# Values specifying when to stop for INIT, otherwise same as above
+MaxInitMinStep	100	# Maximum number of steps
+InitRelEpsTotalE	1e-05	# relative change in total energy
+InitRelEpsKineticE	0.0001	# relative change in kinetic energy
+InitMaxMinStopStep	0	# check every ..th steps
+InitMaxMinGapStopStep	0	# check every ..th steps
+
+BoxLength			# (Length of a unit cell)
+20	
+0	20	
+0	0	20	
+
+ECut		128	# energy cutoff for discretization in Hartrees
+MaxLevel	5	# number of different levels in the code, >=2
+Level0Factor	2	# factor by which node number increases from S to 0 level
+RiemannTensor	0	# (Use metric)
+PsiType		0	# 0 - doubly occupied, 1 - SpinUp,SpinDown
+MaxPsiDouble	0	# here: specifying both maximum number of SpinUp- and -Down-states
+PsiMaxNoUp	0	# here: specifying maximum number of SpinUp-states
+PsiMaxNoDown	0	# here: specifying maximum number of SpinDown-states
+AddPsis		0	# Additional unoccupied Psis for bandgap determination
+
+RCut		20	# R-cut for the ewald summation
+StructOpt	0	# Do structure optimization beforehand
+IsAngstroem	1	# 0 - Bohr, 1 - Angstroem
+RelativeCoord	0	# whether ion coordinates are relative (1) or absolute (0)
+MaxTypes	3	# maximum number of different ion types
+
+# Ion type data (PP = PseudoPotential, Z = atomic number)
+#Ion_TypeNr.	Amount	Z	RGauss	L_Max(PP)L_Loc(PP)IonMass	# chemical name, symbol
+Ion_Type1	46	1	1.0	3	3	1.00800000000	Hydrogen	H
+Ion_Type2	27	6	1.0	3	3	12.01100000000	Carbon	C
+Ion_Type3	1	8	1.0	3	3	15.99900000000	Oxygen	O
+#Ion_TypeNr._Nr.R[0]    R[1]    R[2]    MoveType (0 MoveIon, 1 FixedIon)
+Ion_Type2_1	0.523300000	-2.991800000	0.452900000	0 # molecule nr 0
+Ion_Type2_2	-0.569100000	-1.922300000	0.392500000	0 # molecule nr 1
+Ion_Type2_3	-0.350400000	-1.008900000	-0.842500000	0 # molecule nr 2
+Ion_Type2_4	-1.920700000	-2.572100000	0.110800000	0 # molecule nr 3
+Ion_Type2_5	-0.488100000	-1.028600000	1.616200000	0 # molecule nr 4
+Ion_Type2_6	1.105500000	-0.578300000	-0.835400000	0 # molecule nr 5
+Ion_Type2_7	-0.762400000	-1.935100000	-1.991700000	0 # molecule nr 6
+Ion_Type2_8	-3.050700000	-1.716000000	0.686300000	0 # molecule nr 7
+Ion_Type2_9	-2.030000000	-2.637800000	-1.432900000	0 # molecule nr 8
+Ion_Type2_10	0.949900000	-0.494400000	1.688800000	0 # molecule nr 9
+Ion_Type2_11	1.330100000	0.271600000	0.428100000	0 # molecule nr 10
+Ion_Type2_12	1.369700000	0.312600000	-2.056100000	0 # molecule nr 11
+Ion_Type2_13	-3.069600000	-0.357100000	-0.016400000	0 # molecule nr 12
+Ion_Type2_14	-4.389400000	-2.423100000	0.465400000	0 # molecule nr 13
+Ion_Type2_15	2.800900000	0.660000000	0.517200000	0 # molecule nr 14
+Ion_Type2_16	2.718800000	0.956000000	-1.935600000	0 # molecule nr 15
+Ion_Type2_17	-4.224300000	0.484200000	0.531100000	0 # molecule nr 16
+Ion_Type2_18	2.931000000	1.835800000	1.487600000	0 # molecule nr 17
+Ion_Type2_19	3.353500000	1.083700000	-0.816700000	0 # molecule nr 18
+Ion_Type2_20	3.641700000	-0.497700000	1.050400000	0 # molecule nr 19
+Ion_Type2_21	-4.243200000	1.843100000	-0.171600000	0 # molecule nr 20
+Ion_Type2_22	4.748600000	1.687300000	-0.810100000	0 # molecule nr 21
+Ion_Type2_23	5.069400000	-0.398000000	0.514800000	0 # molecule nr 22
+Ion_Type2_24	-5.397900000	2.684400000	0.375900000	0 # molecule nr 23
+Ion_Type2_25	5.501600000	1.056600000	0.370100000	0 # molecule nr 24
+Ion_Type2_26	-5.416800000	4.043400000	-0.326800000	0 # molecule nr 25
+Ion_Type2_27	-6.721600000	1.960400000	0.121800000	0 # molecule nr 26
+Ion_Type3_1	6.907700000	1.110600000	0.121400000	0 # molecule nr 27
+Ion_Type1_1	0.361200000	-3.628000000	1.323000000	0 # molecule nr 28
+Ion_Type1_2	0.488400000	-3.598300000	-0.452100000	0 # molecule nr 29
+Ion_Type1_3	1.498500000	-2.511200000	0.530800000	0 # molecule nr 30
+Ion_Type1_4	-1.003500000	-0.137600000	-0.792000000	0 # molecule nr 31
+Ion_Type1_5	-1.953400000	-3.575200000	0.536200000	0 # molecule nr 32
+Ion_Type1_6	-1.188300000	-0.199000000	1.517600000	0 # molecule nr 33
+Ion_Type1_7	-0.716500000	-1.604600000	2.512900000	0 # molecule nr 34
+Ion_Type1_8	1.762700000	-1.447900000	-0.834900000	0 # molecule nr 35
+Ion_Type1_9	-1.003000000	-1.358400000	-2.884800000	0 # molecule nr 36
+Ion_Type1_10	0.021700000	-2.662900000	-2.200800000	0 # molecule nr 37
+Ion_Type1_11	-2.888500000	-1.570600000	1.754300000	0 # molecule nr 38
+Ion_Type1_12	-2.057900000	-3.676500000	-1.762200000	0 # molecule nr 39
+Ion_Type1_13	-2.925900000	-2.114600000	-1.767200000	0 # molecule nr 40
+Ion_Type1_14	1.035300000	0.178500000	2.542000000	0 # molecule nr 41
+Ion_Type1_15	1.632500000	-1.332300000	1.830600000	0 # molecule nr 42
+Ion_Type1_16	0.727100000	1.177000000	0.359400000	0 # molecule nr 43
+Ion_Type1_17	1.337400000	-0.294200000	-2.961000000	0 # molecule nr 44
+Ion_Type1_18	0.603600000	1.085900000	-2.112600000	0 # molecule nr 45
+Ion_Type1_19	-2.126500000	0.158700000	0.164700000	0 # molecule nr 46
+Ion_Type1_20	-3.203400000	-0.504100000	-1.088100000	0 # molecule nr 47
+Ion_Type1_21	-5.180900000	-1.867900000	0.968700000	0 # molecule nr 48
+Ion_Type1_22	-4.602500000	-2.472100000	-0.602500000	0 # molecule nr 49
+Ion_Type1_23	-4.338500000	-3.432900000	0.872500000	0 # molecule nr 50
+Ion_Type1_24	3.191000000	1.321700000	-2.835400000	0 # molecule nr 51
+Ion_Type1_25	-5.167300000	-0.031600000	0.350100000	0 # molecule nr 52
+Ion_Type1_26	-4.090500000	0.631200000	1.602800000	0 # molecule nr 53
+Ion_Type1_27	2.813100000	1.477600000	2.510300000	0 # molecule nr 54
+Ion_Type1_28	3.913700000	2.293600000	1.373900000	0 # molecule nr 55
+Ion_Type1_29	2.159000000	2.573800000	1.269800000	0 # molecule nr 56
+Ion_Type1_30	3.660600000	-0.459300000	2.139600000	0 # molecule nr 57
+Ion_Type1_31	3.200700000	-1.441900000	0.731100000	0 # molecule nr 58
+Ion_Type1_32	-3.300200000	2.358900000	0.009400000	0 # molecule nr 59
+Ion_Type1_33	-4.377000000	1.696200000	-1.243300000	0 # molecule nr 60
+Ion_Type1_34	5.259300000	1.454700000	-1.744500000	0 # molecule nr 61
+Ion_Type1_35	4.686300000	2.767400000	-0.677500000	0 # molecule nr 62
+Ion_Type1_36	5.746000000	-0.903100000	1.204000000	0 # molecule nr 63
+Ion_Type1_37	5.121200000	-0.886700000	-0.458200000	0 # molecule nr 64
+Ion_Type1_38	-5.264100000	2.831400000	1.447600000	0 # molecule nr 65
+Ion_Type1_39	5.272700000	1.606800000	1.282800000	0 # molecule nr 66
+Ion_Type1_40	-6.239400000	4.642700000	0.063200000	0 # molecule nr 67
+Ion_Type1_41	-4.473800000	4.559100000	-0.145800000	0 # molecule nr 68
+Ion_Type1_42	-5.550600000	3.896400000	-1.398500000	0 # molecule nr 69
+Ion_Type1_43	-6.708100000	0.992300000	0.622400000	0 # molecule nr 70
+Ion_Type1_44	-7.544200000	2.559700000	0.511800000	0 # molecule nr 71
+Ion_Type1_45	-6.855400000	1.813400000	-0.949900000	0 # molecule nr 72
+Ion_Type1_46	7.139100000	2.044700000	0.026400000	0 # molecule nr 73