Index: src/Actions/AtomAction/RotateAroundOriginByAngleAction.def
===================================================================
--- src/Actions/AtomAction/RotateAroundOriginByAngleAction.def	(revision 70269a5925ba82007a722de93f0b9207048e59be)
+++ src/Actions/AtomAction/RotateAroundOriginByAngleAction.def	(revision 967b3cc1d5bcc09f04bc4e2f99bb7620de669545)
@@ -13,5 +13,5 @@
 // "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
 #define paramtypes (double)(Vector)
-#define paramtokens ("rotate-origin")("position")
+#define paramtokens ("rotate-around-origin")("position")
 #define paramdescriptions ("rotation angle")("position in R^3 space")
 #undef paramdefaults
@@ -26,5 +26,5 @@
 #define MENUPOSITION 5
 #define ACTIONNAME RotateAroundOriginByAngle
-#define TOKEN "rotate-origin"
+#define TOKEN "rotate-around-origin"
 
 
Index: src/Actions/MoleculeAction/LinearInterpolationofTrajectoriesAction.def
===================================================================
--- src/Actions/MoleculeAction/LinearInterpolationofTrajectoriesAction.def	(revision 70269a5925ba82007a722de93f0b9207048e59be)
+++ src/Actions/MoleculeAction/LinearInterpolationofTrajectoriesAction.def	(revision 967b3cc1d5bcc09f04bc4e2f99bb7620de669545)
@@ -13,5 +13,5 @@
 // "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
 #define paramtypes (boost::filesystem::path)(int)(int)(bool)
-#define paramtokens ("linear-interpolate")("start-step")("end-step")("id-mapping")
+#define paramtokens ("linear-interpolation-of-trajectories")("start-step")("end-step")("id-mapping")
 #define paramdescriptions ("path where to store the intermediate configurations")("first or start step")("last or end step")("whether the identity shall be used in mapping atoms onto atoms or not")
 #undef paramdefaults
@@ -26,5 +26,5 @@
 #define MENUPOSITION 6
 #define ACTIONNAME LinearInterpolationofTrajectories
-#define TOKEN "linear-interpolate"
+#define TOKEN "linear-interpolation-of-trajectories"
 
 
Index: src/Actions/MoleculeAction/RotateAroundSelfByAngleAction.def
===================================================================
--- src/Actions/MoleculeAction/RotateAroundSelfByAngleAction.def	(revision 70269a5925ba82007a722de93f0b9207048e59be)
+++ src/Actions/MoleculeAction/RotateAroundSelfByAngleAction.def	(revision 967b3cc1d5bcc09f04bc4e2f99bb7620de669545)
@@ -14,5 +14,5 @@
 // "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
 #define paramtypes (double)(Vector)
-#define paramtokens ("rotate-self")("axis")
+#define paramtokens ("rotate-around-self")("axis")
 #define paramdescriptions ("rotation angle in degrees")("position in R^3 space")
 #undef paramdefaults
@@ -27,5 +27,5 @@
 #define MENUPOSITION 8
 #define ACTIONNAME RotateAroundSelfByAngle
-#define TOKEN "rotate-self"
+#define TOKEN "rotate-around-self"
 
 
Index: src/Actions/MoleculeAction/RotateToPrincipalAxisSystemAction.def
===================================================================
--- src/Actions/MoleculeAction/RotateToPrincipalAxisSystemAction.def	(revision 70269a5925ba82007a722de93f0b9207048e59be)
+++ src/Actions/MoleculeAction/RotateToPrincipalAxisSystemAction.def	(revision 967b3cc1d5bcc09f04bc4e2f99bb7620de669545)
@@ -16,5 +16,5 @@
 // "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
 #define paramtypes (Vector)
-#define paramtokens ("rotate-to-pas")
+#define paramtokens ("rotate-to-principal-axis-system")
 #define paramdescriptions ("vector to which to align the biggest eigenvector with")
 #undef paramdefaults
@@ -29,5 +29,5 @@
 #define MENUPOSITION 9
 #define ACTIONNAME RotateToPrincipalAxisSystem
-#define TOKEN "rotate-to-pas"
+#define TOKEN "rotate-to-principal-axis-system"
 
 
Index: src/Actions/MoleculeAction/VerletIntegrationAction.def
===================================================================
--- src/Actions/MoleculeAction/VerletIntegrationAction.def	(revision 70269a5925ba82007a722de93f0b9207048e59be)
+++ src/Actions/MoleculeAction/VerletIntegrationAction.def	(revision 967b3cc1d5bcc09f04bc4e2f99bb7620de669545)
@@ -13,5 +13,5 @@
 // "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
 #define paramtypes (boost::filesystem::path)
-#define paramtokens ("verlet-integrate")
+#define paramtokens ("verlet-integration")
 #define paramdescriptions ("perform verlet integration of a given force file")
 #undef paramdefaults
@@ -26,5 +26,5 @@
 #define MENUPOSITION 14
 #define ACTIONNAME VerletIntegration
-#define TOKEN "verlet-integrate"
+#define TOKEN "verlet-integration"
 
 